
Redmine - Defect #11204

Priority order inconsistency

2012-06-20 11:21 - Jean-Claude Wippler

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.0.3

Description

When listing issues by priority, it seems to me that these two should be each other's inverse:

 

 

Environment:

Redmine version                          2.0.3.stable.9874

  Ruby version                             1.8.7 (i486-linux)

  Rails version                            3.2.6

  Environment                              production

  Database adapter                         MySQL

 Redmine plugins:

no plugin installed

History

#1 - 2012-06-20 11:22 - Jean-Claude Wippler

Forgot file extensions - should be:
#2 - 2012-06-20 13:02 - Jean-Claude Wippler

Workaround is to reverse the order on the admin Enumerations config page. I can't think of any drawback to doing it this way.

#3 - 2012-06-20 13:03 - Jean-Claude Wippler

Ehm, no - then all low prio issues get shown in red. Reverted. Sorry for the noise.

#4 - 2012-06-20 13:57 - Etienne Massip

- Description updated

#5 - 2012-06-20 21:07 - Jean-Philippe Lang

Just to make sure, what this ticket is about is the normal/high/low order in the screenshot on the right (should be high/normal/low instead) ? Please

post the result of select name, position from enumerations where type = 'IssuePriority'.

#6 - 2012-06-21 18:11 - Jean-Claude Wippler

- Status changed from New to Resolved

Please post the result of ...

 I'm afraid I don't know how to do this.

But if the left says A,B,C, shouldn't the right say C,B,A - regardless of enumeration order settings?

PS. If this was a bad ordering, I may have "fixed" it by rearranging the enumeration to try things out - I don't think the problem can be reproduced here

anymore. I'll tag the issue as resolved for now. No idea how the bad state came about, but it seems to be gone now.

PPS. So the workaround - if anyone else ever gets this behavior - is to manually rearrange the enumeration and then set it back to what it was.

#7 - 2012-06-21 20:52 - Etienne Massip

- Status changed from Resolved to Closed

- Resolution set to Invalid

Files
